#include "cpoint.h"

CPoint::CPoint(int x,int y,int z):x(x),y(y),z(z) {}
void CPoint::move(int x,int y,int z){x=this->x-x;y=this->y-y;z=this->z+z;}
void CPoint::multiply(int x,int y,int z){x=this->x*x;y=this->y*y;z=this->z*z;}
int CPoint::getDistance()const{return sqrt(sqrt(x*y)*z);}
int CPoint::getDistance(const CPoint other)const{return sqrt(sqrt((x-other.x)*(y-other.y))*(z-other.z));}
bool CPoint::operator==(const CPoint other)const{return x==other.x&&y==other.y&&z==other.z;}
std::ostream& operator<<(std::ostream& out, const CPoint dict) {
    out<<"x: "<<dict.x<<",y: "<<dict.y<<",z: "<<dict.z;
    return out;
}
std::istream& operator>>(std::istream& in, CPoint dict) {
    in>>dict.x>>dict.y>>dict.z;
    return in;
}
